/* ---------------------------------------------------------- */
/* @(#) KRH.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/*  IBM Tivoli Advanced Reporting for DFSMShsm Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* ---------------------------------------------------------- */
/* General section.  Applies to all products                  */
/* ---------------------------------------------------------- */

/* Tasks */

/* HRECOVER */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HRECOVER";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HRECOVER [&DSNAME] [&WAIT] [&FROMVOLUME] [&GENERATION] [&DATE]
 [&VERSION] [&NEWNAME] [&REPLACE] [&TOVOLUME] [&UNITNAME]",
  "Krh:KRH1000",
  " ", 
  "KRH_HRECOVER", 
  "HRECOVER", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HRECALL */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HRECALL";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HRECALL [&DSNAME] [&WAIT] [&TOVOLUME] [&UNITNAME]",
  "Krh:KRH1001",
  " ", 
  "KRH_HRECALL", 
  "HRECALL", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HMIGRATE */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HMIGRATE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HMIGRATE [&DSNAME] [&WAIT] [&MIGLEVEL]",
  "Krh:KRH1002",
  " ", 
  "KRH_HMIGRATE", 
  "HMIGRATE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HDELETE */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HDELETE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HDELETE [&DSNAME] [&WAIT] [&PURGE]",
  "Krh:KRH1003",
  " ", 
  "KRH_HDELETE", 
  "HDELETE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HBDELETE */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HBDELETE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HBDELETE [&DSNAME] [&WAIT] [&FROMVOLUME] [&VERSION]",
  "Krh:KRH1004",
  " ", 
  "KRH_HBDELETE", 
  "HBDELETE", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HBACKDS */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HBACKDS";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HBACKDS [&DSNAME] [&WAIT] [&TARGET] [&VOLUME] [&UNITNAME]",
  "Krh:KRH1005",
  " ", 
  "KRH_HBACKDS", 
  "HBACKDS", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* HCANCEL */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HCANCEL";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000008000000000000000000000000000000", 
  "HCANCEL [&DSNAME] [&REQNUM] [&USERID] [&WAIT] [&HOSTID]",
  "Krh:KRH1006",
  " ", 
  "KRH_HCANCEL", 
  "HCANCEL", 
  " ", 
  " ", 
  " ", 
  " " 
);

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Mig_Vol_Available";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Mig_Vol_Available";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 5 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Mig_Vol_Available",
"Krh:KRH1007",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Mig_Vol_Available" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Duplicate_DSN_In_MCDS";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Duplicate_DSN_In_MCDS";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 6 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Duplicate_DSN_In_MCDS",
"Krh:KRH1008",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Duplicate_DSN_In_MCDS" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Mig_Copy_Already_Exist";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Mig_Copy_Already_Exist";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 12 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Mig_Copy_Already_Exist",
"Krh:KRH1009",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Mig_Copy_Already_Exist" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Data_Set_In_Use";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Data_Set_In_Use";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 19 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Data_Set_In_Use",
"Krh:KRH1010",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Data_Set_In_Use" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Space_In_Mig_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Space_In_Mig_Vol";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 37 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Space_In_Mig_Vol",
"Krh:KRH1011",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Space_In_Mig_Vol" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_L0_Vol_Not_Available";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_L0_Vol_Not_Available";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 66 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_L0_Vol_Not_Available",
"Krh:KRH1012",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_L0_Vol_Not_Available" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Migration_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Migration_Held";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Migration_Held",
"Krh:KRH1013",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Migration_Held" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Unsupported_Data_Set";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Unsupported_Data_Set";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'MIGRATE' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Unsupported_Data_Set",
"Krh:KRH1014",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Unsupported_Data_Set" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Cant_Mv_Bkup_Miss_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Cant_Mv_Bkup_Miss_Vol";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 4 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Cant_Mv_Bkup_Miss_Vol",
"Krh:KRH1015",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Cant_Mv_Bkup_Miss_Vol" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Vol_For_Bkup";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Vol_For_Bkup";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 5 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Vol_For_Bkup",
"Krh:KRH1016",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Vol_For_Bkup" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Data_Set_In_Use";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Data_Set_In_Use";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 19 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Data_Set_In_Use",
"Krh:KRH1017",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Data_Set_In_Use" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_DS_Not_Elig_For_Bkup";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_DS_Not_Elig_For_Bkup";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 20 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_DS_Not_Elig_For_Bkup",
"Krh:KRH1018",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_DS_Not_Elig_For_Bkup" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Ext_Record_Missing";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Ext_Record_Missing";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 31 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Ext_Record_Missing",
"Krh:KRH1019",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Ext_Record_Missing" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Space_On_Bkup_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Space_On_Bkup_Vol";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 37 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Space_On_Bkup_Vol",
"Krh:KRH1020",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Space_On_Bkup_Vol" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Bkup_Funct_Disabled";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Bkup_Funct_Disabled";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 40 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Bkup_Funct_Disabled",
"Krh:KRH1021",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Bkup_Funct_Disabled" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Bkup_Failed_For_DSN";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Bkup_Failed_For_DSN";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 58 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Bkup_Failed_For_DSN",
"Krh:KRH1022",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Bkup_Failed_For_DSN" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Backup_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Backup_Held";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Backup_Held",
"Krh:KRH1023",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Backup_Held" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_BCDS_Record_Not_Found";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_BCDS_Record_Not_Found";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 80 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_BCDS_Record_Not_Found",
"Krh:KRH1024",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_BCDS_Record_Not_Found" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Fail_In_Bkvol_Dump";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Fail_In_Bkvol_Dump";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
  ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 84 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Fail_In_Bkvol_Dump",
"Krh:KRH1025",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Fail_In_Bkvol_Dump" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Unsupported_Data_Set";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Unsupported_Data_Set";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_RETURN_CODE_SUMMARY.ACTION *EQ 'BACK-UP' ) *AND
 ( *VALUE KRH_RETURN_CODE_SUMMARY.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Unsupported_Data_Set",
"Krh:KRH1014",
" NNN",
"ATOM=KRHRCSUM.RETCODE;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Unsupported_Data_Set" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Error_Editing_CDS";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Error_Editing_CDS";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 1 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Error_Editing_CDS",
"Krh:KRH1026",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Error_Editing_CDS" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Mig_Vol_Not_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Mig_Vol_Not_Avail";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 3 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Mig_Vol_Not_Avail",
"Krh:KRH1027",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Mig_Vol_Not_Avail" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Pri_Vol_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Pri_Vol_Avail";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 4 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Pri_Vol_Avail",
"Krh:KRH1028",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Pri_Vol_Avail" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Request_Vol_Not_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Request_Vol_Not_Avail";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 21 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Request_Vol_Not_Avail",
"Krh:KRH1029",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Request_Vol_Not_Avail" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Insuff_Sp_On_Trg_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Insuff_Sp_On_Trg_Vol";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 24 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Insuff_Sp_On_Trg_Vol",
"Krh:KRH1030",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Insuff_Sp_On_Trg_Vol" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Unit_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Unit_Avail";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 50 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Unit_Avail",
"Krh:KRH1031",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Unit_Avail" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Cant_Recover_w_NewName";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Cant_Recover_w_NewName";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 57 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Cant_Recover_w_NewName",
"Krh:KRH1032",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Cant_Recover_w_NewName" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recover_Failed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recover_Failed";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 58 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recover_Failed",
"Krh:KRH1033",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Recover_Failed" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Delete_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Delete_Held";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Delete_Held",
"Krh:KRH1034",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Recall_Delete_Held" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Restore_Failed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Restore_Failed";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 88 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Restore_Failed",
"Krh:KRH1035",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Restore_Failed" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Recover_Error";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Recover_Error";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECALL' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Recover_Error",
"Krh:KRH1014",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Recall_Recover_Error" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Pri_Vol_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Pri_Vol_Avail";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 4 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Pri_Vol_Avail",
"Krh:KRH1028",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Pri_Vol_Avail" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Uni_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Uni_Avail";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 50 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_No_Uni_Avail",
"Krh:KRH1031",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_No_Uni_Avail" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recover_Failed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recover_Failed";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 58 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recover_Failed",
"Krh:KRH1033",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Recover_Failed" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Existing_DS_Delete_Err";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Existing_DS_Delete_Err";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 59 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Existing_DS_Delete_Err",
"Krh:KRH1036",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Existing_DS_Delete_Err" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Delete_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Delete_Held";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 74 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Delete_Held",
"Krh:KRH1037",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Recall_Delete_Held" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Recovery_Err";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Recovery_Err";

$PARMS 
( 
'ADVICE("krh:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD
) 
VALUES
( 
"00000000000080000000000000000000##000000000",
"*NO",
"*NO",
"",
" ",
"1081211000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRH_LOG_RECALL_DETAIL.ACTION *EQ 'RECOVER' ) *AND (
 *VALUE KRH_LOG_RECALL_DETAIL.RETCODE *EQ 99 ) ) ",
"E",
"0",
"000100",
"*NONE",
"KRH_Recall_Recovery_Err",
"Krh:KRH1038",
" NNN",
"ATOM=KRHLRECDET.DSNAME;SEV=Critical",
?,
"*NONE"
); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS 
)
VALUES
(
  "*RM_DRCZ" ,
  "KRH_Recall_Recovery_Err" ,
  "Y" ,
  "1081211000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140" 
);
